Main Page Widgets Namespaces Book

# attributes.h File Reference

## Namespaces

namespace | Glib
namespace | Pango

## Typedefs

typedef PangoLogAttr | LogAttr
| A Pango::LogAttr stores information about the attributes of a single character.
typedef Glib::SListHandle< Attribute, AttributeTraits > | SListHandle_Attribute

## Enumerations

enum | AttrType { ATTR_INVALID, ATTR_LANGUAGE, ATTR_FAMILY, ATTR_STYLE, ATTR_WEIGHT, ATTR_VARIANT, ATTR_STRETCH, ATTR_SIZE, ATTR_FONT_DESC, ATTR_FOREGROUND, ATTR_BACKGROUND, ATTR_UNDERLINE, ATTR_STRIKETHROUGH, ATTR_RISE, ATTR_SHAPE, ATTR_SCALE, ATTR_FALLBACK, ATTR_LETTER_SPACING, ATTR_UNDERLINE_COLOR, ATTR_STRIKETHROUGH_COLOR }
| Pango::AttrType distinguishes between different types of attributes. More...
enum | Underline { UNDERLINE_NONE, UNDERLINE_SINGLE, UNDERLINE_DOUBLE, UNDERLINE_LOW, UNDERLINE_ERROR }
| A Pango::Underline is used to specify whether text should be underlined, and if so, the type of underlining. More...

## Typedef Documentation

typedef PangoLogAttr Pango::LogAttr

| A Pango::LogAttr stores information about the attributes of a single character.

typedef Glib::SListHandle<Attribute, AttributeTraits> Pango::SListHandle_Attribute